<template>
    <div class="relative">
         <v-date-picker :locale="locale" :max-date='currentDate' class="inline-block h-full w-full" v-model="date">
          <template v-slot="{ inputValue, togglePopover }">
            <div class="flex items-center relative">
              <input
                :value="inputValue"
                class="w-full h-[50px] outline-none pl-[10px] bg-[#F8FAFC] rounded-[4px] text-gray-700 py-1 px-2 appearance-none border rounded-r focus:outline-none focus:border-blue-500 cursor-pointer"
                readonly
                :placeholder="props.placeholder"
                @click="togglePopover()"
              />
              <img @click="togglePopover()" class="absolute w-[18px] h-[20px] top-0 bottom-0 right-2 mt-[13px] cursor-pointer" src="../assets/input-icons/date-icon.svg" alt="date-ico">
            </div>
          </template>
        </v-date-picker>
    </div>
</template>

<script setup>
import { computed } from 'vue'
import { useI18n } from 'vue-i18n'
const { locale } = useI18n({ useScope: 'global' })
const props = defineProps({
  placeholder: {
    type: String,
    default: 'Required field'
  },
  modelValue: {
    type: String,
    required: true
  }
})

const currentDate = new Date()

const emit = defineEmits({ 'update:model-value': null })
const date = computed({
  get () {
    return props.modelValue
  },
  set (date) {
    emit('update:model-value', date)
  }
})
</script>

<style>
    input[type="date"]::-webkit-inner-spin-button,
    input[type="date"]::-webkit-calendar-picker-indicator {
        display: none;
        -webkit-appearance: none;
    }
</style>
